<?php
/*
 * @component Calc Builder 
 * @copyright Copyright (C) January 2017. 
 * @license GPL 3.0 
 * This program is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version. 
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
 * See the GNU General Public License for more details. 
 * See <http://www.gnu.org/licenses/>. 
 * More info www.moonsoft.es 
 * gestion@moonsoft.es
 */

// No direct access
defined ( '_JEXEC' ) or die ( 'Restricted access' );

jimport ( 'joomla.application.component.view' );
jimport ( 'joomla.filesystem.file' );

require JPATH_COMPONENT_ADMINISTRATOR . '/views/main.view.php';
class CalcbuilderViewCalcbuilder extends CalcbuilderMainView {
	function display($tpl = null) {
		$layout = $this->getLayout ();
		switch ($layout) {
			/*SHPInit*/
			case 'vmproduct' :
				$products = $this->get ( 'Vmproduct' );
				$this->assignRef ( 'products', $products );
				break;
			case 'hikaplugin':
				$result = $this->get('HKPlugin');
				$this->assignRef ( 'result', $result );
				break;
			/*SHPEnd*/
			case 'email' :
				$envio = $this->get ( 'Envio' );
				$this->assignRef ( 'envio', $envio );
				break;
			case 'calcinline' :
				$ci = $this->get ( 'Calcinline' );
				$this->assignRef ( 'ci', $ci );
				break;
			case 'calcsqlinline' :
					$options = $this->get ( 'CalcSqlinline' );
					$this->assignRef ( 'options', $options );
					break;
			default :
				$calculo = $this->get ( 'Calculo' );
				$this->assignRef ( 'calculo', $calculo );
				break;
		}
		parent::display ( $tpl );
	}
}

?>
